/// @file			handleDefinition.cpp
/// @copyright  	Copyright (c) 2014 Toradex AG.
/// $Author:		khv
/// $Date: 			$ 2014-09-18 $
/// @brief:			File contains definitions for handleDeclaration.h file.

/// Header files.
#include <windows.h>
#include <Commdlg.h>
#include "handleDeclaration.h"

/// Initialization function.
void HandleStructInitialize(handleStruct *handleStructPtr)
{
	handleStructPtr->regMainWindow = 0;
	handleStructPtr->regVideoWindow = 0;
	handleStructPtr->hMainWindow = NULL;
	handleStructPtr->hVideoWindow = NULL;
	handleStructPtr->hCommandBar = NULL;
	handleStructPtr->hCurrentInst = NULL;
	handleStructPtr->hCommandBar = NULL;
	handleStructPtr->hMenuBar = NULL;
	ZeroMemory(&(handleStructPtr->mainWindow), sizeof(WNDCLASS));
	ZeroMemory(&(handleStructPtr->videoWindow), sizeof(WNDCLASS));
	ZeroMemory(&(handleStructPtr->openDialogStruct), sizeof(OPENFILENAME));
	ZeroMemory(&(handleStructPtr->filePathAndName), BUFFER);
	ZeroMemory(&(handleStructPtr->fileName), BUFFER);
}

/// Clean up function.
void HandleStructCleanup(handleStruct *handleStructPtr)
{
	DestroyWindow(handleStructPtr->hVideoWindow);
	DestroyWindow(handleStructPtr->hMainWindow);
}